#!/usr/bin/env python2.7

import os
import textgrid
import math
import csv
import copy
import pdb
import sys

def main():
    txt_grid = textgrid.TextGrid()
    txt_grid.read('/Users/jamesanderson-furgeson/tellerstar/pipeline_execution_16.5.31/concatenated_textgrid/concatenated.TextGrid')
    syll = txt_grid.getFirst('syllable')
    syll_lst = [interval.mark for interval in syll.intervals]
    note = txt_grid.getFirst('pitch midi')
    note_lst = []
    for interval in note.intervals:
        try:
            note_lst.append(int(interval.mark))
        except:
            print 'not a note'
    dur_lst = [(interval.maxTime - interval.minTime) for interval in syll.intervals]
    
    with open('/Users/jamesanderson-furgeson/tellerstar/supercollider_files/teller_samps/syll.csv', 'wb') as fh:
        syllwriter = csv.writer(fh, delimiter=',')
        syllwriter.writerow(syll_lst)
    
    with open('/Users/jamesanderson-furgeson/tellerstar/supercollider_files/teller_samps/note.csv', 'wb') as fh:
        syllwriter = csv.writer(fh, delimiter=',')
        syllwriter.writerow(note_lst)

    with open('/Users/jamesanderson-furgeson/tellerstar/supercollider_files/teller_samps/dur.csv', 'wb') as fh:
        syllwriter = csv.writer(fh, delimiter=',')
        syllwriter.writerow(dur_lst)

if __name__ == '__main__':
    main()        